#
# spec file for package python-hupper-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-hupper-doc
Version:        1.0
Release:        lp151.2.3
Summary:        Documentation for python-hupper
License:        MIT
Group:          Documentation/HTML
Url:            https://pylonsproject.org/
Source0:        https://files.pythonhosted.org/packages/source/h/hupper/hupper-%{version}.tar.gz
BuildRequires:  %{python_module hupper = %{version}}
BuildRequires:  %{python_module setuptools}
# SECTION documentation requirements
BuildRequires:  python3-Sphinx
BuildRequires:  python3-pylons-sphinx-themes
# /SECTION
# SECTION test requirements
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module watchdog}
# /SECTION
BuildRequires:  python-rpm-macros
Provides:       %{python_module hupper-doc = %{version}}
BuildArch:      noarch

%description
This package contains documentation files for python-hupper.

%prep
%setup -q -n hupper-%{version}

%build
%{_python_use_flavor python3}
%__python3 setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
# nothing to do

%check
%python_exec %{_bindir}/py.test

%files
%defattr(-,root,root,-)
%doc build/sphinx/html

%changelog
* Fri Jul 14 2017 aloisio@gmx.com
- Initial package (1.0)
